<?php

/*	
Template Name:  lepton-multi
Description:    a lepton-cms free-template
Version:        1
License:        http://creativecommons.org/licenses/by/3.0/
Author:         J.R.Combosa (D) http://www.combosa.com
template_guid:  a1619a06-4e52-44d9-bf1f-96f9809bac34
Requirements:   PHP 5.2.x and higher
*/

if (defined('WB_PATH')) {	
	include(WB_PATH.'/framework/class.secure.php'); 
} elseif (file_exists($_SERVER['DOCUMENT_ROOT'].'/framework/class.secure.php')) {
	include($_SERVER['DOCUMENT_ROOT'].'/framework/class.secure.php'); 
} else {
	$subs = explode('/', dirname($_SERVER['SCRIPT_NAME']));	$dir = $_SERVER['DOCUMENT_ROOT'];
	$inc = false;
	foreach ($subs as $sub) {
		if (empty($sub)) continue; $dir .= '/'.$sub;
		if (file_exists($dir.'/framework/class.secure.php')) { 
			include($dir.'/framework/class.secure.php'); $inc = true;	break; 
		} 
	}
	if (!$inc) trigger_error(sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']));
}
// end include class.secure.php


?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo defined('DEFAULT_CHARSET') ? DEFAULT_CHARSET : 'utf-8'; ?>" />
<meta name="description" content="<?php page_description(); ?>" />
<meta name="keywords" content="<?php page_keywords(); ?>" />
<?php 
	// automatically include optional WB module files (frontend.css, frontend.js)
	if (function_exists('register_frontend_modfiles')) {
		// register_frontend_modfiles('css');
		// register_frontend_modfiles('js');
		
		echo $wb->register_frontend_modfiles();
		
	} ?>
    
<link href="<?php echo TEMPLATE_DIR; ?>/style.css" rel="stylesheet" type="text/css" />
<title><?php page_title('', '[WEBSITE_TITLE]'); ?></title>

</head>
<body>


<div class="block">

<div class="col1_top">
	<div class="col1_top_left">
		</div><!-- ende col1_top_left -->
		</div><!-- ende col1_top -->

			<div class="col1"><!-- col1 -->
            
            <a href="<?php echo WB_URL;?>/"><img class="logo" src="<?php echo TEMPLATE_DIR;?>/images/logo.png" alt="lepton-cms free templates" /></a>
				
            
                 <div id="nav">
				<ul>
				<?php show_menu(1,0,1,true,'<li>[a][menu_title][/a]','</li>','','','',''); ?>
				</ul>
			</div><!-- end menue-->
            
            
            
		<div id="left"><!--left-->
        <div class="menu">
					<ul>
					<?php show_menu(1,1,-1,true,'<li>[a][menu_title][/a]','</li>','','','',''); ?>
					</ul>
             </div><!-- end menue-->       
                    
        <?php page_content(2); ?>
        <br />
<!-- OPTIONAL: display frontend search -->
	<div id="search">
	<?php 
	if (SHOW_SEARCH) { ?>
	<form action="<?php echo WB_URL; ?>/search/index.php" method="get">
		<p><input type="hidden" name="referrer" value="<?php
			echo defined('REFERRER_ID') ? REFERRER_ID : PAGE_ID; ?>" /></p>
		<fieldset>
			<legend><?php echo $TEXT['SEARCH']; ?>:</legend>
			<input type="text" name="string" class="search_string" />
			<input type="submit" name="wb_search" id="wb_search" value="<?php
			echo $TEXT['SEARCH']; ?>" />
		</fieldset>
	</form>
	<?php 
	} ?>
	</div>
<!-- END frontend search -->

<!-- OPTIONAL: display frontend login -->
<div id="login">
<?php
if (FRONTEND_LOGIN == 'enabled' && VISIBILITY != 'private' 
	&& $wb->get_session('USER_ID') == '') { ?>
	<!-- login form -->
	<form name="login" id="login1" action="<?php 
		echo LOGIN_URL; ?>" method="post">
		<fieldset>
			<legend><?php echo $TEXT['LOGIN']; ?>:</legend>
			<label for="username" accesskey="1">
			<?php echo $TEXT['USERNAME']; ?>:</label>
			<input type="text" name="username" id="username" 
				style="text-transform: lowercase;" /><br />
			<label for="password" accesskey="2"><?php echo $TEXT['PASSWORD']; ?>:</label>
			<input type="password" name="password" id="password" /><br />
			<input type="submit" name="wb_login" id="wb_login" value="<?php 
			echo $MENU['LOGIN']; ?>"/><br />
	
			<!-- forgotten details link -->
			<a href="<?php echo FORGOT_URL; ?>"><?php echo $TEXT['FORGOT_DETAILS']; ?></a>

			<!-- frontend signup -->
			<?php
			if (is_numeric(FRONTEND_SIGNUP)) { ?>
			<a href="<?php echo SIGNUP_URL; ?>"><?php echo $TEXT['SIGNUP']; ?></a>
			<?php } ?>
		</fieldset>
	</form>
<?php 
} elseif (FRONTEND_LOGIN == 'enabled' && is_numeric($wb->get_session('USER_ID'))) { ?>
	<!-- logout form -->
	<form name="logout" id="logout1" action="<?php echo LOGOUT_URL; ?>" method="post">
		<fieldset>
			<legend><?php echo $TEXT['LOGGED_IN']; ?>:</legend>
			<p><?php echo $TEXT['WELCOME_BACK']; ?>, <?php echo $wb->get_display_name(); ?></p>
			<input type="submit" name="wb_login" id="wb_login" value="<?php 
			echo $MENU['LOGOUT']; ?>" />
			<!-- edit user preferences -->
			<p><a href="<?php echo PREFERENCES_URL; ?>"><?php echo $MENU['PREFERENCES']; ?></a></p>
		</fieldset>
	</form>
<?php 
} ?>
</div>
<!-- END frontend login -->
	<div id="frontedit">[[editthispage]]</div>



        

        </div><!--ende left-->
      	<div id="right">
 
       <?php page_content(1); ?>
       

       
       
       
     
        </div><!--ende right--> 
        
        <div class="clearfix"><!--macht sicher das die seite bis unten geht--></div>
        
        </div><!-- ende col1 -->

<div class="col1_bottom">
<div class="col1_bottom_right">
</div><!-- ende col1_bottom_right -->
</div><!-- ende col1_bottom -->

<p class="lepton">powered by <a href="http://www.lepton-cms.org/" target="_blank">lepton</a> cms</p>
<p class="copy">free-template by <a href="http://www.combosa.com/" target="_blank">combosa</a> </p>
</div><!--ende block-->


</body>
</html>